ToolRun (TauP 2.6.1 API)
Description: declaration: package: edu.sc.seis.TauP, class: ToolRun

Package edu.sc.seis.TauP

# Class ToolRun

java.lang.Object
edu.sc.seis.TauP.ToolRun

    public class ToolRun
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `CREATE` |
  `static java.lang.String` | `CURVE` |
  `static boolean` | `DEBUG` |
  `static java.lang.String` | `GUI` |
  `static java.lang.String` | `PATH` |
  `static java.lang.String` | `PHASE` |
  `static java.lang.String` | `PIERCE` |
  `static java.lang.String` | `SETSAC` |
  `static java.lang.String` | `SPLOT` |
  `static java.lang.String` | `TABLE` |
  `static java.lang.String` | `TIME` |
  `static java.lang.String` | `VELMERGE` |
  `static boolean` | `VERBOSE` |
  `static java.lang.String` | `VPLOT` |
  `static java.lang.String` | `WAVEFRONT` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ToolRun()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static boolean` | `dashEquals​(java.lang.String argName, java.lang.String arg)` |
  `static void` | `main​(java.lang.String[] args)` |
  `protected static java.lang.String[]` | `parseCommonCmdLineArgs​(java.lang.String[] args)` | Handles version, verbose and debug cmd line flags.
  `static void` | `printUsage()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEBUG

    public static boolean DEBUG

  - ### VERBOSE

    public static boolean VERBOSE

  - ### PHASE

    public static java.lang.String PHASE

  - ### TIME

    public static java.lang.String TIME

  - ### PIERCE

    public static java.lang.String PIERCE

  - ### PATH

    public static java.lang.String PATH

  - ### CURVE

    public static java.lang.String CURVE

  - ### CREATE

    public static java.lang.String CREATE

  - ### GUI

    public static java.lang.String GUI

  - ### SETSAC

    public static java.lang.String SETSAC

  - ### SPLOT

    public static java.lang.String SPLOT

  - ### TABLE

    public static java.lang.String TABLE

  - ### VPLOT

    public static java.lang.String VPLOT

  - ### VELMERGE

    public static java.lang.String VELMERGE

  - ### WAVEFRONT

    public static java.lang.String WAVEFRONT

- ## Constructor Details

  - ### ToolRun

    public ToolRun()

- ## Method Details

  - ### printUsage

    public static void printUsage()

  - ### parseCommonCmdLineArgs

    protected static java.lang.String[] parseCommonCmdLineArgs​(java.lang.String[] args)
    Handles version, verbose and debug cmd line flags.
    Parameters:
      `args` - command line args to parse
    Returns:
      all unrecognized args

  - ### dashEquals

    public static boolean dashEquals​(java.lang.String argName, java.lang.String arg)

  - ### main

    public static void main​(java.lang.String[] args) throws java.io.IOException
    Throws:
      `java.io.IOException`